//
//  MyCell.m
//  tableViewDemo
//
//  Created by 利泰 on 17/3/14.
//  Copyright © 2017年 利泰. All rights reserved.
//

#import "MyCell.h"
@interface MyCell ()
@end
@implementation MyCell

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
}

- (instancetype)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        _array = [NSArray array];
        [self setUpUI];
    }
    return self;
}
- (void)setItem:(MyItem *)item
{
    _item = item;
    NSString *fileURL = _item.image;
    NSData *dateImg = [NSData dataWithContentsOfURL:[NSURL URLWithString:fileURL]];
    _image.image = [UIImage imageWithData:dateImg];
    _name.text = _item.name;
    _age.text = _item.age;
    _array = _item.array;
    //爱好
    for (int i=0;i<_array.count; i++) {
        UILabel *lable = [[UILabel alloc]initWithFrame:CGRectMake(_name.frame.origin.x, _name.frame.size.height + _name.frame.origin.y + 20+40*i, 200, 30)];
        lable.text = _array[i];
        lable.textColor = [UIColor darkGrayColor];
        [self.contentView addSubview:lable];
    }
}

- (void)setUpUI{
    
    _image = [[UIImageView alloc]initWithFrame:CGRectMake(10, 10, 50, 50)];
//    _image.backgroundColor = [UIColor redColor];
    [self.contentView addSubview:_image];
    
    _name = [[UILabel alloc]initWithFrame:CGRectMake(_image.frame.size.width + _image.frame.origin.x + 10, 10, 100, 30)];
    _name.textColor = [UIColor purpleColor];
    [self.contentView addSubview:_name];
//    _name.backgroundColor = [UIColor lightGrayColor];
    
    _age = [[UILabel alloc]initWithFrame:CGRectMake(_name.frame.size.width + _name.frame.origin.x, 10, 50, 30)];
    _age.textColor = [UIColor lightGrayColor];
//    _age.backgroundColor = [UIColor redColor];
    [self.contentView addSubview:_age];
}
- (CGFloat)cellHeightWithArray{
    return _array.count * 40 + 10 + 30 +20+10;
}
- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

@end
